<!--
 - Created by MarcelBrimus on 29/11/2019.
 -->

<!-- Vtt Lightning Community Management Enable User -->
<template>
    <lightning-button-icon icon-name="utility:adduser"
                           variant="border-filled"
                           onclick={openmodal}
                           alternative-text="Enable In Community"
                           class="slds-m-left_xx-small"></lightning-button-icon>
    <template if:true={showModal}>
        <section
                role="dialog"
                tabindex="-1"
                aria-labelledby="modal-heading-01"
                aria-modal="true"
                aria-describedby="modal-content-id-1"
                class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container">
                <div class="slds-is-relative">
                    <lightning-spinner size="small" if:true={migratingUser}></lightning-spinner>
                    <header class="slds-modal__header">
                        <h2 id="modal-heading-01-small"
                            class="slds-text-heading_medium slds-hyphenate">Enable {contact.Name} as portal user, pick
                            his user type...</h2>
                    </header>
                    <footer class="slds-modal__footer">
                        <lightning-button-group class="slds-align_absolute-center">
                            <lightning-button label="Tradesman"
                                              variant="neutral"
                                              onclick={enableContactTradesman}></lightning-button>
                            <lightning-button label="Supervisor"
                                              variant="neutral"
                                              onclick={enableContactSupervisor}></lightning-button>
                            <lightning-button label="Cancel"
                                              variant="neutral"
                                              onclick={closeModal}></lightning-button>
                        </lightning-button-group>
                    </footer>
                </div>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>
</template>